Loading...
Searching...
No Matches
juce::AudioPlayHead::FrameRate Class Reference

## Detailed Description

More descriptive frame rate type.

The documentation for this class was generated from the following file:

- juce_audio_basics/audio_play_head/juce_AudioPlayHead.h

## Public Member Functions

| FrameRate ()=default
| Creates a frame rate with a base rate of 0.
| FrameRate (FrameRateType type)
| Creates a FrameRate instance from a FrameRateType.
FrameRateType | getType () const
| Gets the FrameRateType that matches the state of this FrameRate.
int | getBaseRate () const
| Returns the plain rate, without taking pulldown into account.
bool | isDrop () const
| Returns true if drop-frame timecode is in use.
bool | isPullDown () const
| Returns true if the effective framerate is actually equal to the base rate divided by 1.001.
double | getEffectiveRate () const
| Returns the actual rate described by this object, taking pulldown into account.
FrameRate | withBaseRate (int x) const
| Returns a copy of this object with the specified base rate.
FrameRate | withDrop (bool x=true) const
| Returns a copy of this object with drop frames enabled or disabled, as specified.
FrameRate | withPullDown (bool x=true) const
| Returns a copy of this object with pulldown enabled or disabled, as specified.
bool | operator== (const FrameRate &other) const
| Returns true if this instance is equal to other.
bool | operator!= (const FrameRate &other) const
| Returns true if this instance is not equal to other.

## Constructors and Destructors

## FrameRate() [1/2]

juce::AudioPlayHead::FrameRate::FrameRate | ( |  | ) |

default

Creates a frame rate with a base rate of 0.

Referenced by FrameRate(), operator!=(), operator==(), withBaseRate(), withDrop(), and withPullDown().

## FrameRate() [2/2]

juce::AudioPlayHead::FrameRate::FrameRate | ( | FrameRateType | type | ) |

inline

Creates a FrameRate instance from a FrameRateType.

References FrameRate().

## Member Functions

## getType()

FrameRateType juce::AudioPlayHead::FrameRate::getType | ( |  | ) | const

inline

Gets the FrameRateType that matches the state of this FrameRate.

Returns fpsUnknown if this FrameRate cannot be represented by any of the other enum fields.

References juce::AudioPlayHead::fps23976, juce::AudioPlayHead::fps24, juce::AudioPlayHead::fps25, juce::AudioPlayHead::fps2997, juce::AudioPlayHead::fps2997drop, juce::AudioPlayHead::fps30, juce::AudioPlayHead::fps30drop, juce::AudioPlayHead::fps60, juce::AudioPlayHead::fps60drop, and juce::AudioPlayHead::fpsUnknown.

## getBaseRate()

int juce::AudioPlayHead::FrameRate::getBaseRate | ( |  | ) | const

inline

Returns the plain rate, without taking pulldown into account.

## isDrop()

bool juce::AudioPlayHead::FrameRate::isDrop | ( |  | ) | const

inline

Returns true if drop-frame timecode is in use.

## isPullDown()

bool juce::AudioPlayHead::FrameRate::isPullDown | ( |  | ) | const

inline

Returns true if the effective framerate is actually equal to the base rate divided by 1.001.

## getEffectiveRate()

double juce::AudioPlayHead::FrameRate::getEffectiveRate | ( |  | ) | const

inline

Returns the actual rate described by this object, taking pulldown into account.

## withBaseRate()

FrameRate juce::AudioPlayHead::FrameRate::withBaseRate | ( | int | x | ) | const

inline nodiscard

Returns a copy of this object with the specified base rate.

References FrameRate(), and x.

## withDrop()

FrameRate juce::AudioPlayHead::FrameRate::withDrop | ( | bool | x = true | ) | const

inline nodiscard

Returns a copy of this object with drop frames enabled or disabled, as specified.

References FrameRate(), and x.

## withPullDown()

FrameRate juce::AudioPlayHead::FrameRate::withPullDown | ( | bool | x = true | ) | const

inline nodiscard

Returns a copy of this object with pulldown enabled or disabled, as specified.

References FrameRate(), and x.

## operator==()

bool juce::AudioPlayHead::FrameRate::operator== | ( | const FrameRate & | other | ) | const

Returns true if this instance is equal to other.

References FrameRate().

## operator!=()

bool juce::AudioPlayHead::FrameRate::operator!= | ( | const FrameRate & | other | ) | const

inline

Returns true if this instance is not equal to other.

References FrameRate().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited